<%-- 
    Document   : exportarHorario
    Created on : 12/12/2014, 03:51:11 PM
    Author     : sistem16user
--%>

<%@page import="pe.siso.horario.Beans.Usuario"%>
<%@page import="pe.siso.horario.Beans.Horario"%>
<%@page import="java.util.ArrayList"%>
<%@page import="pe.siso.horario.Services.HorarioServices"%>
<%@page import="java.util.Calendar"%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%
        String periodo = request.getParameter("periodo");
        String aula = request.getParameter("codAula");
        
        HorarioServices servicio = new HorarioServices();
        ArrayList<Horario> lista = new ArrayList<Horario>();
        lista = servicio.historial(periodo, aula);
        
%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>VER HORARIOS </title>
    </head>
    <body>
     <%
            HttpSession session_actual = request.getSession(true);
            Usuario usuario=(Usuario)session_actual.getAttribute("usuario");
            
            response.setContentType("application/vnd.ms-excel; ");
            response.setHeader("Content-Disposition","attachment; filename=UsuarioDocente.xls"); 
        
            
            String border="style='border:solid 0.5pt #000000;vertical-align:middle;'";
            String centrado="style='vertical-align:middle;' ";
            String borderColor="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#B5E0F5;'";
            String borderColorTitulo="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#006699; color:#FFFFFF;'";
            String estilo = "style='background-color:#B5E0F5; border:solid 0.5pt;'";
            
     
        Calendar cal1 = Calendar.getInstance();
           
        int diaA = cal1.get(Calendar.DATE);
        int mes = cal1.get(Calendar.MONTH);
        int hora = cal1.get(Calendar.HOUR);
        int minuto = cal1.get(Calendar.MINUTE);
        int segundo = cal1.get(Calendar.SECOND);
        String diaAc = "";
        String mesAc = "";
        String hrAc = "";
        String minAc = "";
        String secAc = "";

        if(diaA<10){ diaAc = "0"+diaA; }else{ diaAc = ""+diaA;}

        if(mes<10){ mesAc = "0"+mes; }else{ mesAc = ""+mes; }

        if(hora<10){  if(hora==0){ hrAc = "12"; }else{ hrAc = "0"+hora;  } }else{  hrAc = ""+hora; }

        if(minuto<10){ minAc = "0"+minuto; }else{ minAc = ""+minuto; }

        if(segundo<10){ secAc = "0"+segundo; }else{ secAc = ""+segundo; }
        
        
        
    %>
   
    
    <table align='center' border='0' cellpadding= '0' cellspacing= '0'>
        <tr>
            <td  align='center' colspan='8' ><h3>HISTORIAL DEL HORARIO</h3></td>
        </tr>
        <tr>
            <td colspan="4"></td>
            <td colspan="4" align="right"><b>SACO OLIVEROS - SISTEMAS</b></td>
        </tr>
        <tr>
            <td colspan="4"><b>FUENTE: </b> SISTEMA DE HORARIOS</td>
            <td colspan="4" align="right"><b>RESPONSABLE: </b> <%=usuario!=null?usuario.getNombreTipoUsuario():""%></td>
        </tr>
        <tr>
            <td colspan="4"><b>REGISTROS: </b> <%=lista.size()%></td>
            <td colspan="4" align="right"><b>ACTUALIZACIÓN: </b> <%=diaAc+"-"+mesAc+"-"+cal1.get(Calendar.YEAR)+" "+hrAc+":"+minAc+":"+secAc%></td>
        </tr>
        <tr>
            <td height='15'></td>
        </tr>
        <tr role='row' style='font-size:11px;'> 
            <th  width='130' <%=borderColorTitulo%> align='center' >BLOQUE/GRUPO</th> 
            <th  width='100' <%=borderColorTitulo%> align='center'>USUARIO</th> 
            <th   <%=borderColorTitulo%> align='center'>DÍA</th> 
            <th   <%=borderColorTitulo%> align='center'>POSICIÓN</th> 
            <th  width='130' <%=borderColorTitulo%> align='center'>HORARIO</th> 
            <th  width='130' <%=borderColorTitulo%> align='center'>CURSO</th> 
            <!-- <th  width='130' <%=borderColorTitulo%> align='center'>DOCENTE</th> 
            <th   <%=borderColorTitulo%> align='center'>TURNO</th> -->
            <th  width='130' <%=borderColorTitulo%> align='center'>FECHA<BR>HORA</th> 
            <th  width='130' <%=borderColorTitulo%> align='center'>ACCIÓN</th> 
        </tr> 
        <%
        String nomdia = "";
        String turno = "";
        String tr = "";
        for(int i=0; i<lista.size();i++){
            
            if(lista.get(i).getH_dia().equals("1")){nomdia="LUNES"; tr="9DDAC8";}
            else if(lista.get(i).getH_dia().equals("2")){nomdia="MARTES";tr="F4F5AB";}
            else if(lista.get(i).getH_dia().equals("3")){nomdia="MIÉRCOLES";tr="FC9AA5";}
            else if(lista.get(i).getH_dia().equals("4")){nomdia="JUEVES";tr="B9CAFF";}
            else if(lista.get(i).getH_dia().equals("5")){nomdia="VIERNES";tr="FFDDB9";}
            else if(lista.get(i).getH_dia().equals("6")){nomdia="SÁBADO";tr="CD8BC5";}
            
            String[] horIni = lista.get(i).getH_horarioInicio().split(":");
            String[] horFin = lista.get(i).getH_horarioFinal().split(":");
            
            if(lista.get(i).getH_codigoTurno().equals("1")){ turno="MAÑANA";}
            else if(lista.get(i).getH_codigoTurno().equals("2")){ turno="TARDE";}
            else if(lista.get(i).getH_codigoTurno().equals("3")){ turno="NOCHE";}
            
            String[] fecha = lista.get(i).getH_fecha().split("-");
            String fechaReg = fecha[2]+"/"+fecha[1]+"/"+fecha[0];
            String[] hora1 = lista.get(i).getH_hora().split(":");
            String horaReg = "";
            int horaInt = Integer.parseInt(hora1[0]);
            int minInt = Integer.parseInt(hora1[1]);
            String horaStr = "";
            if(horaInt>11 && minInt>0){
                horaInt = horaInt -12;
                if(horaInt<10){
                    horaStr = "0"+horaInt;
                }
                horaReg = horaStr+":"+hora1[1]+" PM";
            }else{
                horaReg = hora1[0]+":"+hora1[1]+" AM";
            }
            
            %>
            <tr style='background-color:#<%=tr%>"; font-size:11px;'>
                <td <%=border%> style='vertical-align: middle; padding:1px;' align='center'><%=lista.get(i).getH_nombreGrupo()%></td>
                <td <%=border%> style='vertical-align: middle; padding:1px;'><%=lista.get(i).getH_nombreUsuario()%></td>
                <td <%=border%> style='vertical-align: middle; padding:1px;' align='center'><%=nomdia%></td>
                <td <%=border%> style='vertical-align: middle; padding:1px;' align='center'><%=lista.get(i).getH_posicionBloque()%>°</td>
                <td <%=border%> style='vertical-align: middle; padding:1px;' align='center'><%=horIni[0]%>:<%=horIni[1]%><BR><%=horFin[0]%>:<%=horFin[1]%></td>
                <td <%=border%> style='vertical-align: middle; padding:1px;'><%=lista.get(i).getH_nombreCurso()%></td>
                <!-- <td <%=border%> style='vertical-align: middle; padding:1px;'><%=lista.get(i).getH_apellidosDocente()%>, <%=lista.get(i).getH_nombreDocente()%> </td>
                <td <%=border%> style='vertical-align: middle; padding:1px;' align='center'><%=turno%></td> -->
                <td <%=border%> style='vertical-align: middle; padding:1px;' align='center'><%=fechaReg%><BR><%=horaReg%></td>
                <td <%=border%> style='vertical-align: middle; padding:1px;' align='center'><%=lista.get(i).getH_accion()%></td>
            </tr>
            <%
        }
        %>
      
    </table> 
    </body>
</html>
